<?php
namespace Ep\Woo;

use Zend\ServiceManager\AbstractFactory\ReflectionBasedAbstractFactory;

return [
    'views' => [
        'aliases' => [
            'woo.form.addtocart' => Form\View\AddToCart::class,

            'woo.form.element.quantity' => Form\View\Element\Quantity::class,
        ],

        'factories' => [
            Form\View\AddToCart::class => ReflectionBasedAbstractFactory::class,

            Form\View\Element\Quantity::class => ReflectionBasedAbstractFactory::class,
        ],
    ],
];