import $ from 'jquery';

import AddToCartForm from './Form/AddToCart';
import AttributeList from './Form/Element/AttributeList';
import Quantity from './Form/Element/Quantity';
import QuantityList from './Form/Element/QuantityList';

require('./cart');
require('./update-fragments');

function init()
{
    $('.quantity-input').each(function(i, el) {
        if (el.ep === undefined) {
            el.ep = new Quantity(el);
        }
    });

    $('.quantity-input-list').each(function(i, el) {
        if (el.ep === undefined) {
            el.ep = new QuantityList(el);
        }
    });

    $('.product-attributes').each(function(i, el) {
        if (el.ep === undefined) {
            el.ep = new AttributeList(el);
        }
    });

    $('form.add-to-cart').each(function(i, el) {
        if (el.ep === undefined) {
            el.ep = new AddToCartForm(el);
        }
    });
}

$(function() {
    init();
    $(document.body).on('DOMNodeInserted', init);
});